Module = window.require 'spine/core/module'
Events = window.require 'spine/core/events'

###
###
class Entry extends Module
	@include Events
	stat: 0

	constructor:(atts={})->
		super
		for key, value of atts
			if atts.hasOwnProperty(key) and typeof @[key] is 'function'
				@[key](value)
			else
				@[key] = value

module.exports = Entry
